Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class PropertyBinding

    java.lang.Object
      org.codehaus.groovy.binding.PropertyBinding

All Implemented Interfaces:
  SourceBinding, TargetBinding, TriggerBinding

    public class PropertyBinding
    extends Object

Authors:
  Danno Ferrin

Version:
  \$Revision: 17076 \$

Since:
  Groovy 1.1

Constructor Summary
`PropertyBinding(Object bean, String propertyName)`

Method Summary
`FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
`Object` | `getBean()`
`String` | `getPropertyName()`
`Object` | `getSourceValue()`
`boolean` | `isNonChangeCheck()`
`void` | `setBean(Object bean)`
`void` | `setNonChangeCheck(boolean nonChangeCheck)`
`void` | `setPropertyName(String propertyName)`
`void` | `updateTargetValue(Object newValue)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PropertyBinding

    public PropertyBinding(Object bean, String propertyName)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)

### getBean

    public Object getBean()

### getPropertyName

    public String getPropertyName()

### getSourceValue

    public Object getSourceValue()

### isNonChangeCheck

    public boolean isNonChangeCheck()

### setBean

    public void setBean(Object bean)

### setNonChangeCheck

    public void setNonChangeCheck(boolean nonChangeCheck)

### setPropertyName

    public void setPropertyName(String propertyName)

### updateTargetValue

    public void updateTargetValue(Object newValue)

Copyright © 2003-2010 The Codehaus. All rights reserved.